PDA

View Full Version : Problem with mental ray version in batch render


MITrAndir
11-16-2009, 09:03 PM
Thing is i have Maya 8.5 and Maya2008 installed, and when i want to render something from command line in mental ray, Maya 8.5 batch is trying to render it.
So how do i change this so Maya2008 is rendering the scene?

funerium
11-17-2009, 02:40 AM
hi,
i get the same problem few hours ago with 2008 and 2010, the 2008 tryed to open the 2010 file and then couldn't due to version, i found a quick fix

open your .bat file and then before all your render lines write the mayabatch directory on the beginning, should look like that
C:\Progra~1\Autodesk\Maya2008\bin\Render -r mr -proj D:\MesDocuments\maya\projects\... now depends of your comp folder names the command to add is in bold, the rest is an extract of my command line to show you where it goes ( spaces etc...)

i am waiting too for an answer, i have uninstalled the 2008 v and now the batchrender dun batch at all, invalid command and close, so it could be nice if someone can shouw us how to redirect the bat to the correct mayabatch, thanks

swellhead
11-17-2009, 06:43 AM
You have to edit your Environment Variables in Windows and put the correct path to Maya executables.

seandunderdale
11-18-2009, 11:14 AM
yep, variables. I had to do this the other day. If you have 8.5 and 2008 in there, just move the 2008 in front of the 8.5

funerium
11-18-2009, 02:00 PM
yep, variables. I had to do this the other day. If you have 8.5 and 2008 in there, just move the 2008 in front of the 8.5

i'll be taken for a moron... i have found the env variables menu but... what i need to do exactly ...?

MITrAndir
11-19-2009, 10:28 AM
Ok i replaced it and it works, thanks swellhead and seandunderdale.

MITrAndir
11-19-2009, 10:43 AM
Oh yeah, forgot this,
funerium this is the solution:
i attcahed the image below with the just screen capture of the env.variables that you should change.
So, that line is extremely long and youll have to select your way through it, but as seandunderdale said you should put Maya 2008 before Maya 8.5, and that should do the trick, i deleted the Maya 8.5 path alltogether and it works.

CGTalk Moderation
11-19-2009, 10:44 AM
This thread has been automatically closed as it remained inactive for 12 months. If you wish to continue the discussion, please create a new thread in the appropriate forum.